---
layout: default
title: Using modules
section: Modules
permalink: /docs/developer-guide/modules/
site_section: developer-guide
redirect_from: "/docs/developer-guide/using-modules/"

---

# Using Origami modules

Origami's front end modules contain Sass, JavaScript and markup templates to create great looking UI elements. The Sass and JavaScript needs to be 'built' into minified bundles that you can serve as subresources using `<link>` and `<script>` tags. The markup templates are there to help you generate the Origami HTML in your application.

## The quick way
If you just want to experiment with Origami modules, we have a 5 minute tutorial especially for you

<a href="/docs/developer-guide/modules/very-quick-origami/" class="o-buttons o-buttons--secondary">Take me to the 5 minute tutorial</a>

## The proper way

There are three steps to getting an Origami module working on your page properly:

1. Get the module's JS and CSS onto your page using either a manual build process, or the Build Service
1. Add the module's HTML
1. Take care of the experience for older browsers

If you want to work through these steps, the jumping off point is this guide:

<a href="/docs/developer-guide/modules/choosing-your-build-method/" class="o-buttons o-buttons--secondary">Let's do this the proper way</a>
