---
layout: default
title: Syntax
section: Syntax
permalink: /docs/syntax/
site_section: about-origami
---

# Syntax rules and standards

These rules apply to any code written as part of an Origami component, and provide standards for use of languages as well as models for standard representations of data within components.

## Language standards

* [JavaScript](js)
* [Sass (SCSS)](scss)
* [HTML](html)
* [Mustache](mustache)

## Configuration standards

* [origami.json](origamijson) component manifest format
* [Design Guidelines](design-guidelines)
* [Web service description format](web-service-description)
* [Web service index format](web-service-index)
* [Metrics format](metrics)

## Data models

Use of [Microdata](http://schema.org/docs/gs.html) is not compulsory but strongly encouraged.  Use an FT model if one is available. Failing that use the most appropriate schema from schema.org.
