---
layout: home
title: Home
section: Overview
---
<p class="o-techdocs-leadbody">Origami is a group of services, modules and tools to help build websites. Origami aspires to create a <strong>unified style and experience for FT websites</strong>, and <strong>make web development at the FT faster</strong>.</p>

<h2> <i class="fa fa-cubes"></i> Origami modules and services</h2>

At the heart of Origami are its services and modules.

Origami's modules are bits of HTML, CSS and JavaScript to include in your page. Some of them, like [gallery](http://registry.origami.ft.com/components/o-gallery), come with a fully formed look and feel. Some of them, like [colors](http://registry.origami.ft.com/components/o-colors) or [tracking](http://registry.origami.ft.com/components/o-tracking) provide a foundation for building your own interfaces, or provide useful services without any interface at all.

Regardless of what they're made of, these modules have been comprehensively tested, comply with web accessibility standards, work or degrade gracefully in all of the browsers we support, and provide a consistent experience of the FT brand. To see a complete list of the modules visit [registry.origami.ft.com/components](http://registry.origami.ft.com/components).

As well as modules, Origami provides the following services:

- [Polyfill.io](http://polyfill.io) - Upgrade the web automatically, code using the latest standards when writing JavaScript applications
- [The Image Service](https://www.ft.com/__origami/service/image/v2) - Deliver pictures in many formats and sizes; optimised and delivered over a CDN.

Origami services and modules all comply with the [Origami Spec](/docs/component-spec/) and [Coding Standards](/docs/syntax/) to ensure they are high quality and interoperable. All modules are developed in the open on [GitHub](http://github.com/Financial-Times).

<h2> <i class="fa fa-wrench"></i> Using Origami</h2>

There are three ways to include Origami in your project:

1) [Origami Build Service](https://www.ft.com/__origami/service/build/v2/) - the simplest way. Pull in the Origami CSS and Javascript as external files into your webpage. [See tutorial](http://origami.ft.com/docs/developer-guide/modules/very-quick-origami/).

2) [Origami Build Tools](https://github.com/Financial-Times/origami-build-tools) - using this Origami-created tool as your build tool is more complex than using the Build Service, but it lets you install Origami components from the command line. [See tutorial](http://origami.ft.com/docs/developer-guide/modules/building-modules/).

3) [Bower](https://bower.io/) - adding third-party build tool Bower to your project, lets you have a custom build process (using eg. Webpack) and install Origami components from the command line. [See Bower tutorial](https://bower.io/#install-bower).

To figure out which Origami components you will need, browse through [The Registry](http://registry.origami.ft.com/).

<h2> <i class="fa fa-book"></i> The Spec</h2>

Origami is built according to the [Origami Spec](/docs/component-spec/). This ensures high quality and interoperability across modules. If you want to contribute to Origami modules or services, reading The Spec is a good place to begin.


## Who is using Origami?

Origami is used widely throughout the FT and by a range of third parties:

- [Bluetel Solutions](http://www.bluetel.co.uk/)
- [Markit On Demand](http://www.markit.com/)
- [iQuest Group](http://www.iquestgroup.com/en/)

If your team is using or plans to use Origami, [let us know](mailto:origami.support@ft.com): we're here to help.
